uniform float time;
uniform float seed;
uniform vec2 resolution;

float rand(vec2 co){
  return tan(sin(dot(ceil(co.xy), co - vec2(co.y, co.x) + time)) * seed * 100.0) + exp(co.y);
}

void main(void) {
  vec2 position = (gl_FragCoord.xy) / vec2(max(resolution.x, resolution.y));
  float warp = sqrt(200.0 *pow(pow(position.x,seed)+pow(position.y,2.0), 2.0));
  float warpTime = warp + time / 2.0;
  vec2 colpos = position.xy+seed*vec2(sqrt(warpTime), cos(warpTime));
  float r = (100.0 + seed)*rand(colpos);
  float g = 100.0 * rand(colpos);
  float b = 100.0 * rand(colpos);
  gl_FragColor = vec4(r,g,b,1)*(warp+4.0)*seed;
}